SetSharedLootTable('scorched_skeleton',
{
    {'boneshard',   1.00},
    {'boneshard',   1.00},
    {'ash',         1.00},
})

local function onhammered(inst)
    inst.components.lootdropper:DropLoot()
    local fx = SpawnPrefab("collapse_small")
    fx.Transform:SetPosition(inst.Transform:GetWorldPosition())
    fx:SetMaterial("rock")
    inst:Remove()
end

local function fn()
  if not TheWorld.ismastersim then return end

  local skeleton = SpawnPrefab("scorched_skeleton")

  skeleton:AddComponent("lootdropper")
  skeleton.components.lootdropper:SetChanceLootTable('scorched_skeleton')

  skeleton:AddComponent("workable")
  skeleton.components.workable:SetWorkAction(ACTIONS.HAMMER)
  skeleton.components.workable:SetWorkLeft(1)
  skeleton.components.workable:SetOnFinishCallback(onhammered)

  return skeleton
end

return Prefab("adai_scorched_skeleton", fn, nil, nil)
